<!--
 - Created by MarosGrajcar on 11/25/2019.
 -->

<!-- Eqt Item Selection -->
<template>
    <lightning-input type="text"
                     label="Search for Equipment you would like to transfer"
                     value={userSearch}
                     onchange={handleEquipmentSearch}>
        <template if:true={loading}>
            <lightning-spinner  alternative-text="Loading" size="large"></lightning-spinner>
        </template>
    </lightning-input>

    <div style="height:600px" class="slds-is-relative">
        <div class="slds-p-top--medium slds-scrollable--x">

            <table class="slds-table slds-table_bordered slds-table_cell-buffer">
                <thead>
                <tr class="slds-text-title_caps">
                    <th scope="col" style="max-width:50px">
                    </th>
                    <th scope="col">
                        Equipment
                    </th>
                    <th scope="col">
                        FLOC
                    </th>
                    <th scope="col">
                        Description
                    </th>
                    <th scope="col">
                        Manufacturer
                    </th>
                    <th scope="col">
                        Model Number
                    </th>
                    <th scope="col">
                        Manufacturer Serial No
                    </th>
                    <th scope="col">
                        Tag Number
                    </th>

                </tr>
                </thead>

                <tbody>

                <template if:true={loading}>
                    <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--medium" alternative-text="Loading" size="small"></lightning-spinner>
                </template>

                <template if:false={loading} for:each={equipmentList} for:item="equipment">
                    <tr class="slds-hint-parent" key={equipment.Id}>

                        <th scope="row">
                           <!-- <lightning-input label=""
                                             name={equipment.Id}
                                             type="checkbox"
                                             onchange={handleChecked}>
                            </lightning-input>-->
                            <lightning-button-icon icon-name="utility:add"
                                                   alternative-text="Add Equipment"
                                                   size="x-small"
                                                   data-id={equipment.Id}
                                                   onclick={addSelectedEquipment}>
                            </lightning-button-icon>
                        </th>

                        <td>
                            {equipment.Name}
                        </td>

                        <td>
                            <template if:true={equipment.Location__r}>
                                {equipment.Location__r.Name}
                            </template>
                            <template if:true={equipment.Facility__r}>
                                {equipment.Facility__r.Name}
                            </template>
                            <template if:true={equipment.Well_Event__r}>
                                {equipment.Well_Event__r.Name}
                            </template>
                            <template if:true={equipment.Functional_Equipment_Level__r}>
                                {equipment.Functional_Equipment_Level__r.Name}
                            </template>
                            <template if:true={equipment.Yard__r}>
                                {equipment.Yard__r.Name}
                            </template>
                            <template if:true={equipment.System__r}>
                                {equipment.System__r.Name}
                            </template>
                            <template if:true={equipment.Sub_System__r}>
                                {equipment.Sub_System__r.Name}
                            </template>
                        </td>

                        <td>
                            {equipment.Description_of_Equipment__c}
                        </td>

                        <td>
                            {equipment.Manufacturer__c}
                        </td>

                        <td>
                            {equipment.Model_Number__c}
                        </td>

                        <td>
                            {equipment.Manufacturer_Serial_No__c}
                        </td>

                        <td>
                            {equipment.Tag_Number__c}
                        </td>
                    </tr>
                </template>
                </tbody>

            </table>

            <!--<div class="slds-p-top&#45;&#45;small slds-p-bottom&#45;&#45;small">
                <lightning-button label="Add Equipment" variant="brand"
                                  onclick={addSelectedEquipment}></lightning-button>
            </div>-->


            <div class="slds-text-title_caps slds-align--absolute-center slds-p-around--medium slds-border--top">
                <b>Selected Equipment</b>
            </div>
            <table if:true={equipmentSelectedList}
                   class="slds-table slds-table_bordered slds-table_cell-buffer slds-p-top--small"
                   style="background-color:#FFFFFF">
                <thead>
                <tr class="slds-text-title_caps" style="background-color:#FFFFFF">
                    <th scope="col">
                    </th>
                    <th scope="col">
                        Equipment
                    </th>
                    <th scope="col">
                        FLOC
                    </th>
                    <th scope="col">
                        Description
                    </th>
                    <th scope="col">
                        Manufacturer
                    </th>
                    <th scope="col">
                        Model Number
                    </th>
                    <th scope="col">
                        Manufacturer Serial No
                    </th>
                    <th scope="col">
                        Tag Number
                    </th>

                </tr>
                </thead>

                <tbody>

                <template for:each={equipmentSelectedList} for:item="equipment">
                    <tr class="slds-hint-parent" key={equipment.Id}>

                        <th scope="row">
                            <lightning-button-icon icon-name="utility:close"
                                                   data-id={equipment.Id}
                                                   size="small"
                                                   onclick={removeSelectedEquipment}>
                            </lightning-button-icon>
                        </th>

                        <td>
                            {equipment.Name}
                        </td>

                        <td>
                            <template if:true={equipment.Location__r}>
                                {equipment.Location__r.Name}
                            </template>
                            <template if:true={equipment.Facility__r}>
                                {equipment.Facility__r.Name}
                            </template>
                            <template if:true={equipment.Well_Event__r}>
                                {equipment.Well_Event__r.Name}
                            </template>
                            <template if:true={equipment.Functional_Equipment_Level__r}>
                                {equipment.Functional_Equipment_Level__r.Name}
                            </template>
                            <template if:true={equipment.Yard__r}>
                                {equipment.Yard__r.Name}
                            </template>
                            <template if:true={equipment.System__r}>
                                {equipment.System__r.Name}
                            </template>
                            <template if:true={equipment.Sub_System__r}>
                                {equipment.Sub_System__r.Name}
                            </template>
                        </td>

                        <td>
                            {equipment.Description_of_Equipment__c}
                        </td>

                        <td>
                            {equipment.Manufacturer__c}
                        </td>

                        <td>
                            {equipment.Model_Number__c}
                        </td>

                        <td>
                            {equipment.Manufacturer_Serial_No__c}
                        </td>

                        <td>
                            {equipment.Tag_Number__c}
                        </td>
                    </tr>
                </template>
                </tbody>

            </table>

        </div>
    </div>
</template>